# SIPParameters Struct Reference

`#include <sippdu.h>`

Inheritance diagram for SIPParameters:

[legend]
Collaboration diagram for SIPParameters:
[legend]

## Public Member Functions

| SIPParameters (const PString &aor=PString::Empty(), const PString &remote=PString::Empty())
bool | Normalise (const PString &defaultUser, const PTimeInterval &defaultExpire)

## Data Fields

PCaselessString | m_remoteAddress
PCaselessString | m_localAddress
PCaselessString | m_proxyAddress
PCaselessString | m_addressOfRecord
PCaselessString | m_contactAddress
PCaselessString | m_interface
SIPMIMEInfo | m_mime
PString | m_authID
PString | m_password
PString | m_realm
unsigned | m_expire
unsigned | m_restoreTime
PTimeInterval | m_minRetryTime
PTimeInterval | m_maxRetryTime
void * | m_userData

## Constructor & Destructor Documentation

SIPParameters::SIPParameters | ( | const PString & | aor = `PString::Empty()`,
|  | const PString & | remote = `PString::Empty()` |
| ) |  |  |

## Member Function Documentation

bool SIPParameters::Normalise | ( | const PString & | defaultUser,
|  | const PTimeInterval & | defaultExpire |
| ) |  |  |

## Field Documentation

PCaselessString SIPParameters::m_addressOfRecord

PString SIPParameters::m_authID

PCaselessString SIPParameters::m_contactAddress

unsigned SIPParameters::m_expire

PCaselessString SIPParameters::m_interface

PCaselessString SIPParameters::m_localAddress

PTimeInterval SIPParameters::m_maxRetryTime

SIPMIMEInfo SIPParameters::m_mime

PTimeInterval SIPParameters::m_minRetryTime

PString SIPParameters::m_password

PCaselessString SIPParameters::m_proxyAddress

PString SIPParameters::m_realm

PCaselessString SIPParameters::m_remoteAddress

unsigned SIPParameters::m_restoreTime

void* SIPParameters::m_userData

The documentation for this struct was generated from the following file:

- sippdu.h